Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.extractor
Class RegexExtractor

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.extractor.RegexExtractor

All Implemented Interfaces:
  Cloneable, PostProcessor, Serializable, TestElement

public class RegexExtractor
extends AbstractTestElement
implements PostProcessor, Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `USE_BODY`
`static String` | `USE_BODY_UNESCAPED`
`static String` | `USE_CODE`
`static String` | `USE_HDRS`
`static String` | `USE_MESSAGE`
`static String` | `USE_URL`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`RegexExtractor()`

Method Summary
`Object` | `clone()`
`String` | `getDefaultValue()`
`int` | `getMatchNumber()`
`String` | `getMatchNumberAsString()`
`String` | `getRefName()`
`String` | `getRegex()`
`String` | `getTemplate()`
`void` | `process()` Parses the response data using regular expressions and saving the results into variables for use later in the test.
`void` | `setDefaultValue(String defaultValue)` Sets the value of the variable if no matches are found
`void` | `setMatchNumber(int matchNumber)` Set which Match to use.
`void` | `setMatchNumber(String matchNumber)`
`void` | `setRefName(String refName)`
`void` | `setRegex(String regex)`
`void` | `setTemplate(String template)`
`void` | `setUseField(String actionCommand)`
`boolean` | `useBody()`
`boolean` | `useCode()`
`boolean` | `useHeaders()`
`boolean` | `useMessage()`
`boolean` | `useUnescapedBody()`
`boolean` | `useUrl()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_HDRS

    public static final String USE_HDRS

See Also:
  Constant Field Values

### USE_BODY

    public static final String USE_BODY

See Also:
  Constant Field Values

### USE_BODY_UNESCAPED

    public static final String USE_BODY_UNESCAPED

See Also:
  Constant Field Values

### USE_URL

    public static final String USE_URL

See Also:
  Constant Field Values

### USE_CODE

    public static final String USE_CODE

See Also:
  Constant Field Values

### USE_MESSAGE

    public static final String USE_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### RegexExtractor

    public RegexExtractor()

Method Detail

### process

    public void process()

  Parses the response data using regular expressions and saving the results into variables for use later in the test.

  Specified by:
    `process` in interface `PostProcessor`
  See Also:
    `PostProcessor.process()`

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

### setRegex

    public void setRegex(String regex)

### getRegex

    public String getRegex()

### setRefName

    public void setRefName(String refName)

### getRefName

    public String getRefName()

### setMatchNumber

    public void setMatchNumber(int matchNumber)

  Set which Match to use. This can be any positive number, indicating the exact match to use, or 0, which is interpreted as meaning random.

  Parameters:
    `matchNumber` -

### setMatchNumber

    public void setMatchNumber(String matchNumber)

### getMatchNumber

    public int getMatchNumber()

### getMatchNumberAsString

    public String getMatchNumberAsString()

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Sets the value of the variable if no matches are found

  Parameters:
    `defaultValue` -

### getDefaultValue

    public String getDefaultValue()

### setTemplate

    public void setTemplate(String template)

### getTemplate

    public String getTemplate()

### useHeaders

    public boolean useHeaders()

### useBody

    public boolean useBody()

### useUnescapedBody

    public boolean useUnescapedBody()

### useUrl

    public boolean useUrl()

### useCode

    public boolean useCode()

### useMessage

    public boolean useMessage()

### setUseField

    public void setUseField(String actionCommand)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.